Pulp - Issue #6128

ansible-pulp misconfigures static directory for nginx and apache
02/11/2020 04:26 PM - dkliban@redhat.com

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: fao89 Estimated time: 0:00 hour
Category: Installer - Moved to GitHub issues

Sprint/Milestone: 3.3.0

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: Tags:

0S: Sprint: Sprint 69
Triaged: Yes Quarter:

Description

The request below is possible because nginx and apache are configured to serve the 'pulp_webserver_static_dir' at the root[0, 1].
However, the value of this variable is set to {{ pulp_install_dir }}/site-packages/rest_framework[2, 3].

The pulp_webserver_static_dir should always be /var/lib/pulp/assets/. nginx and apache should be configured to serve it at /static/.

$ http http://localhost/apps.py

HTTP/1.1 200 OK

Accept—-Ranges: bytes

Connection: Keep-Alive

Content-Length: 255

Date: Tue, 11 Feb 2020 15:18:19 GMT

ETag: "ff-59638£8639473"

Keep-Alive: timeout=5, max=10000

Last—-Modified: Thu, 31 Oct 2019 18:25:13 GMT

Server: Apache/2.4.6 (CentOS) OpenSSL/1.0.2k-fips mod_wsgi/3.4 Python/2.7.5

from django.apps import AppConfig

class RestFrameworkConfig (AppConfigqg) :
name = 'rest_framework'
verbose_name = "Django REST framework"

def ready (self):
# Add System checks
from .checks import pagination_system_check # NOQA

[0]
https://github.com/pulp/ansible-pulp/blob/94ca14444ad18ff02db26dce2033010ca68e00e1/roles/pulp-webserver/templates/nginx.conf
J2#1L.43 [1]
https://github.com/pulp/ansible-pulp/blob/94ca14444ad18ff02db26dce2033010ca68e00e1/roles/pulp-webserver/templates/pulp-vhost
.conf.j2#L5 [2]
https://github.com/pulp/ansible-pulp/blob/94ca14444ad18ff02db26dce2033010ca68e00e1/roles/pulp-webserver/tasks/nginx.yml#L 24
[3]
https://github.com/pulp/ansible-pulp/blob/94ca14444ad18ff02db26dce2033010ca68e00e1/roles/pulp-webserver/tasks/apache.ymli#L
16
Revision dbbfc4c9 - 03/24/2020 06:40 PM - Fabricio Aguiar
Making nginx/apache points to django.STATIC_ROOT

https://pulp.plan.io/issues/6128 closes #6128

Revision dbbfc4c9 - 03/24/2020 06:40 PM - Fabricio Aguiar
Making nginx/apache points to django.STATIC_ROOT

https://pulp.plan.io/issues/6128 closes #6128

History

#1 - 02/11/2020 04:31 PM - fao89
- Triaged changed from No to Yes

- Sprint set to Sprint 66

#2 - 02/21/2020 03:34 PM - rchan
- Sprint changed from Sprint 66 to Sprint 67

#3 - 03/06/2020 04:09 PM - rchan
- Sprint changed from Sprint 67 to Sprint 68

#4 - 03/13/2020 03:08 PM - fao89
- Status changed from NEW to ASSIGNED

- Assignee set to fao89

#5 - 03/13/2020 09:52 PM - fao89
- Status changed from ASSIGNED to POST

https://github.com/pulp/pulpcore/pull/580https://github.com/pulp/ansible-pulp/pull/257

#6 - 03/20/2020 04:22 PM - rchan
- Sprint changed from Sprint 68 to Sprint 69

#7 - 03/24/2020 08:54 PM - Anonymous
- Status changed from POST to MODIFIED

Applied in changeset ansible-pulp|dbbfc4c96558cd1dc80f74feb20840abf6e21b72.

#8 - 03/26/2020 07:53 PM - Anonymous
Applied in changeset ansible-pulp3|dbbfc4c96558cd1dc80f74feb20840abf6e21b72.

#9 - 04/15/2020 09:56 PM - ttereshc
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
- Sprint/Milestone set to 3.3.0

#10 - 05/13/2020 10:28 PM - bmbouter
- Category set to Installer - Moved to GitHub issues

- Tags deleted (Pulp 3 installer)
